Index: /branches/dev_001_GM/NEMO/TOP_SRC/trcini.F90
===================================================================
--- /branches/dev_001_GM/NEMO/TOP_SRC/trcini.F90	(revision 762)
+++ /branches/dev_001_GM/NEMO/TOP_SRC/trcini.F90	(revision 763)
@@ -1,17 +1,17 @@
 MODULE trcini
-   !!==========================================================================
-   !!                       *** MODULE trcini ***  
-   !! Ocean passive tracers:  Manage the passive tracer initialization 
-   !!=========================================================================   
+   !!======================================================================
+   !!                         ***  MODULE trcini  ***
+   !! TOP :   Manage the passive tracer initialization
+   !!======================================================================
+   !! History :    -   !  2000-04  (O. Aumont, M.A. Foujols)  original code
+   !!             1.0  !  2005-03  (O. Aumont, A. El Moussaoui) F90
+   !!              -   !  2005-10  (C. Ethe) Module
+   !!----------------------------------------------------------------------
 #if defined key_passivetrc
    !!----------------------------------------------------------------------
-   !!   trc_ini : Initialization for passive tracer
+   !!   'key_passivetrc'                                    Passive tracers
    !!----------------------------------------------------------------------
+   !!   trc_ini :   Initialization for passive tracer
    !!----------------------------------------------------------------------
-   !!  TOP 1.0,  LOCEAN-IPSL (2005) 
-   !! $Header$ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
-   !!----------------------------------------------------------------------
-   !! * Modules used
    USE oce_trc
    USE trc
@@ -23,8 +23,7 @@
    PRIVATE
 
-   !! * Accessibility
-   PUBLIC trc_ini
+   PUBLIC   trc_ini   ! called by ???
 
-#if defined key_trc_lobster1
+# if defined key_trc_lobster1
    !!----------------------------------------------------------------------
    !!   'key_trc_lobster1'                        LOBSTER1 biological model  
@@ -32,5 +31,5 @@
 #  include "trcini.lobster1.h90"
 
-#elif defined key_trc_pisces
+# elif defined key_trc_pisces
    !!----------------------------------------------------------------------
    !!   'key_trc_pisces'                            PISCES biological model                  
@@ -38,5 +37,5 @@
 #  include "trcini.pisces.h90"
 
-#elif defined key_cfc
+# elif defined key_cfc
    !!----------------------------------------------------------------------
    !!   'key_cfc  '                                          CFC model                  
@@ -44,7 +43,12 @@
 #  include "trcini.cfc.h90"
 
-#else
+# else
    !!----------------------------------------------------------------------
    !!   Default option                               
+   !!----------------------------------------------------------------------
+   !!----------------------------------------------------------------------
+   !! NEMO/TOP 2.0 , LOCEAN-IPSL (2007) 
+   !! $Header:$ 
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
 
@@ -52,65 +56,53 @@
 
    SUBROUTINE trc_ini
-      !!---------------------------------------------------------------------
+      !!-------------------------------------------------------------------
       !!                    ***  ROUTINE trc_ini  ***
       !!              
-      !! ** Purpose : Initialization for passive tracer
-      !!              for restart or not
-      !!
-      !! History :
-      !!        !  00-04  O. Aumont, M.A. Foujols HAMOCC3 and P3ZD
-      !!   8.5  !  05-03  O.Aumont and A.El Moussaoui  F90
-      !!   9.0  !  05-10  C. Ethe  Modularity
-      !!----------------------------------------------------------------------
-      !! * local declarations
-      INTEGER ::                   & 
-         ji ,jj ,jk ,jn, jl        ! dummy loop indices  
-      !!---------------------------------------------------------------------
+      !! ** Purpose :   Initialization of all passive tracer to zero
+      !!              (default case)
+      !!-------------------------------------------------------------------
+      INTEGER ::   ji ,jj ,jk ,jn, jl        ! dummy loop indices  
+      !!-------------------------------------------------------------------
 
+      IF(lwp) WRITE(numout,*)
+      IF(lwp) WRITE(numout,*) 'trc_ini : initial set up of the passive tracers'
+      IF(lwp) WRITE(numout,*) '~~~~~~~'
 
-      !! 1. initialization of passives tracers field
-      !! -------------------------------------------
+      ! initialization of passives tracers field
+      ! ----------------------------------------
       DO jn = 1, jptra
-         trn(:,:,:,jn)=0.e0
-         tra(:,:,:,jn)=0.e0
+         trn(:,:,:,jn) = 0.e0
+         tra(:,:,:,jn) = 0.e0
       END DO
 
-#if defined key_trc_diaadd
-      !! initialization of output 2d and 3d arrays
+#  if defined key_trc_diaadd
+      ! initialization of output 2d and 3d arrays
+      DO jn = 1, jpdia2d
+         trc2d(:,:,jn) = 0.e0
+      END DO
+      DO jn = 1, jpdia3d
+         trc3d(:,:,:,jn) = 0.e0
+      END DO
+#  endif
 
-      DO jn = 1, jpdia2d
-         trc2d(:,:,jn)=0.e0
-      END DO
-
-      DO jn = 1, jpdia3d
-         trc3d(:,:,:,jn)=0.e0
-      END DO
-#endif
-
-#if defined key_trc_diabio
-      !! initialization of biological trends
-      DO jn=1,jpdiabio
+#  if defined key_trc_diabio
+      ! initialization of biological trends
+      DO jn = 1, jpdiabio
          trbio(:,:,:,jn) = 0.e0
       END DO
-#endif
+#  endif
 
-#if defined key_trc_diatrd
-      !! initialization of tracer trends
+#  if defined key_trc_diatrd
+      ! initialization of tracer trends
       DO jl = 1, jpdiatrc
          DO jn = 1, jptra
-            IF (luttrd(jn)) trtrd(:,:,:,ikeep(jn),jl) = 0.e0
+            IF( luttrd(jn) )   trtrd(:,:,:,ikeep(jn),jl) = 0.e0
          END DO
       END DO
-#endif      
-
-      IF( lwp ) THEN
-         WRITE(numout,*) ' '
-         WRITE(numout,*) ' trcini: generic initialisation done '
-         WRITE(numout,*) ' '
-      ENDIF
-
+#  endif      
+      !
    END SUBROUTINE trc_ini
 
-#endif
+# endif
 
 #else
@@ -120,5 +112,4 @@
 CONTAINS
    SUBROUTINE trc_ini              ! Empty routine
-
    END SUBROUTINE trc_ini
 #endif
Index: /branches/dev_001_GM/NEMO/TOP_SRC/trclec.F90
===================================================================
--- /branches/dev_001_GM/NEMO/TOP_SRC/trclec.F90	(revision 762)
+++ /branches/dev_001_GM/NEMO/TOP_SRC/trclec.F90	(revision 763)
@@ -1,16 +1,21 @@
 MODULE trclec
-   !!==========================================================================
-   !!
-   !!                       *** MODULE trclec ***
-   !! Read and print options for the passive tracer run (namelist)
-   !! O.Aumont and A.El Moussaoui 03/05 F90
-   !!=========================================================================
-   !!  TOP 1.0,  LOCEAN-IPSL (2005) 
-   !! $Header$ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+   !!======================================================================
+   !!                       ***  MODULE trclec  ***
+   !! TOP :   Read and print options for the passive tracer run (namelist)
+   !!======================================================================
+   !! History :    -   !  1996-11  (M.A. Foujols, M. Levy)  original code
+   !!              -   !  1998-04  (M.A Foujols, L. Bopp) ahtrb0 for isopycnal mixing
+   !!              -   !  1999-10  (M.A. Foujols, M. Levy) separation of sms
+   !!              -   !  2000-07  (A. Estublier) add TVD and MUSCL : Tests on ndttrc
+   !!              -   !  2000-11  (M.A Foujols, E Kestenare) trcrat, ahtrc0 and aeivtr0
+   !!              -   !  2001-01 (E Kestenare) suppress ndttrc=1 for CEN2 and TVD schemes
+   !!             1.0  !  2005-03 (O. Aumont, A. El Moussaoui) F90
    !!----------------------------------------------------------------------
 #if defined key_passivetrc
-   !! * Modules used
-   !! ==============
+   !!----------------------------------------------------------------------
+   !!   'key_passivetrc'                                    Passive tracers
+   !!----------------------------------------------------------------------
+   !!   trc_lec    :  Read and print options for the passive tracer run (namelist)
+   !!----------------------------------------------------------------------
    USE oce_trc
    USE trc
@@ -21,8 +26,13 @@
    PRIVATE 
 
-   !! * Accessibility
-   PUBLIC trc_lec
-
-#include "passivetrc_substitute.h90"
+   PUBLIC trc_lec      ! called in ???
+
+   !! * Substitutions
+#  include "passivetrc_substitute.h90"
+   !!----------------------------------------------------------------------
+   !! NEMO/TOP 1.0 , LOCEAN-IPSL (2005) 
+   !! $Header:$ 
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
 
 CONTAINS
@@ -30,255 +40,175 @@
    SUBROUTINE trc_lec
       !!---------------------------------------------------------------------
-      !!                       ROUTINE trclec
-      !!                     ******************
-      !!  PURPOSE :
-      !!  ---------
-      !!     READ and PRINT options for the passive tracer run (namelist)
+      !!                     ***  ROUTINE trc_lec  ***
       !!
-      !!   History:
-      !!   --------
-      !!      original  : 96-11 (M.A. Foujols, M. Levy) passive tracer
-      !!      modification : 98-04 (M.A Foujols, L. Bopp) ahtrb0 for isopycnal
-      !!                                                  diffusion
-      !!      modification : 99-10(M.A. Foujols, M. Levy) separation of sms
-      !!      additions : 00-05(A. Estublier) TVD Limiter Scheme : Tests 
-      !!                                      on ndttrc
-      !!      additions : 00-06(A. Estublier) MUSCL Scheme : Tests 
-      !!                                      on ndttrc
-      !!      additions : 00-07(A. Estublier) PPM Scheme : Tests on ndttrc
-      !!      modification : 00-11 (M.A Foujols, E Kestenare) trcrat, ahtrc0 and aeivtr0
-      !!      modification : 01-01 (E Kestenare) suppress ndttrc=1 
-      !!                                         for Arakawa and TVD schemes
-      !!     O.Aumont and A.El Moussaoui 03/05 F90
-      !!----------------------------------------------------------------------
-
-      !! local declarations
-      !! ==================
-
+      !! ** Purpose :   READ and PRINT options for the passive tracer run (namelist) 
+      !!
+      !! ** Method  : - read namelist
+      !!---------------------------------------------------------------------
       INTEGER ::  ji
       CHARACTER (len=32) :: clname
-
+      !!
+      NAMELIST/nattrc/ nwritetrc, lrsttr, nrsttr, ctrcnm, ctrcnl, ctrcun, lutini     ! general   
+      NAMELIST/natnum/ rsc, rtrn, ncortrc, ndttrc, crosster
+#if defined key_trc_diatrd
+      NAMELIST/natrtd/ luttrd, nwritetrd                                             ! dynamical trends
+#endif
+#if defined key_trc_diaadd
+      NAMELIST/natadd/ ctrc3d, ctrc3l, ctrc2d, ctrc2l, ctrc3u, ctrc2u, nwriteadd     ! additional diagnostics
+#endif
       !!---------------------------------------------------------------------
-      !!  OPA.90   03/2005 
-      !!---------------------------------------------------------------------
-
-      !! 0. initializations
-      !! ------------------
-
-      namelist/nattrc/nwritetrc,lrsttr,nrsttr, ctrcnm,ctrcnl,ctrcun,lutini     !general   
-
-      namelist/natnum/rsc,rtrn,ncortrc,ndttrc,crosster
-
-#if defined key_trc_diatrd
-      namelist/natrtd/luttrd,nwritetrd                      ! dynamical trends
-#endif
-
-#if defined key_trc_diaadd
-      namelist/natadd/ctrc3d,ctrc3l,ctrc2d,ctrc2l, ctrc3u, ctrc2u,     &
-         nwriteadd                             !additional diagnostics
-#endif
-
-      IF(lwp) THEN
-         WRITE(numout,*) ' '
-         WRITE(numout,*) ' ROUTINE trclec'
-         WRITE(numout,*) ' **************'
-         WRITE(numout,*) ' '
-         WRITE(numout,*) ' namelist for passive tracer'
-         WRITE(numout,*) ' ***************************'
-         WRITE(numout,*) ' '
-      ENDIF
-
-      clname='namelist.passivetrc'
+
+      IF(lwp) WRITE(numout,*)
+      IF(lwp) WRITE(numout,*) 'trc_lec : read the passive tracer namelists'
+      IF(lwp) WRITE(numout,*) '~~~~~~~'
+
+      clname = 'namelist.passivetrc'
       CALL ctlopn( numnat, clname, 'OLD', 'FORMATTED', 'SEQUENTIAL',   &
          &         1, numout, .FALSE., 1 )
 
 
-      !! 1., 2. & 3. initialization with namelist files
-      !! ----------------------------------------------
-      !! 1.0 namelist nattrc :
-
-      nwritetrc = 10
-      lrsttr=.FALSE.
-      nrsttr = 0
-
-      DO ji=1,jptra
-         WRITE (ctrcnm(ji),'("TR_",I1)') ji
-         WRITE (ctrcnl(ji),'("TRACER NUMBER ",I1)') ji
-         ctrcun(ji)='mmole/m3'
-         lutini(ji)=.FALSE. 
-      END DO
-
-
-      REWIND(numnat)
-      READ(numnat,nattrc)
-
-      IF(lwp) THEN
-         WRITE(numout,*) ' '
-         WRITE(numout,*) 'nattrc'
-         WRITE(numout,*) ' '
-         WRITE(numout,*)          &
-            ' frequency of outputs for passive tracers nwritetrc = '    &
-            ,nwritetrc  
-         WRITE(numout,*) ' restart LOGICAL for passive tr. lrsttr = ',   &
-            &         lrsttr
-         WRITE(numout,*) ' control of time step for p. tr. nrsttr = ',   & 
-            &         nrsttr
-         DO ji=1,jptra
-            WRITE(numout,*) ' tracer nb: ',ji,' name = ',ctrcnm(ji)       & 
-               &           ,ctrcnl(ji) 
-            WRITE(numout,*) ' in unit = ',ctrcun(ji)
-            WRITE(numout,*) ' initial value in FILE : ',lutini(ji) 
-            WRITE(numout,*) ' '
-         END DO
-         WRITE(numout,*) ' '
+      ! Namelist nattrc (files)
+      ! ----------------------------------------------
+      nwritetrc = 10                 ! default values
+      lrsttr    = .FALSE.
+      nrsttr    =  0
+      DO ji = 1, jptra
+         WRITE(ctrcnm(ji),'("TR_",I1)'           ) ji
+         WRITE(ctrcnl(ji),'("TRACER NUMBER ",I1)') ji
+         ctrcun(ji) = 'mmole/m3'
+         lutini(ji) = .FALSE. 
+      END DO
+
+      REWIND( numnat )               ! read nattrc
+      READ  ( numnat, nattrc )
+
+      IF(lwp) THEN                   ! control print
+         WRITE(numout,*)
+         WRITE(numout,*) ' Namelist : nattrc'
+         WRITE(numout,*) '    frequency of outputs for passive tracers nwritetrc = ', nwritetrc  
+         WRITE(numout,*) '    restart LOGICAL for passive tr. lrsttr = ', lrsttr
+         WRITE(numout,*) '    control of time step for p. tr. nrsttr = ', nrsttr
+         DO ji = 1, jptra
+            WRITE(numout,*) '    tracer nb: ', ji, ' name = ', ctrcnm(ji), ctrcnl(ji), ' in unit = ',ctrcun(ji)
+            WRITE(numout,*) '    initial value in FILE : ',lutini(ji) 
+         END DO
       ENDIF
 
 #if defined key_trc_diatrd
 
-      !! 1.2 namelist nattrd : passive tracers dynamical trends
-
-      nwritetrd=10
-
-      !! default : no dynamical trend recording
-      !! --------------------------------------
-      DO ji=1,jptra
+      ! Namelist natrtd (transport trends)
+      ! ----------------------------------------------
+      nwritetrd = 10                 ! default values (no dynamical trend recording)
+      DO ji = 1, jptra
          luttrd(ji) = .FALSE.
       END DO
 
-      REWIND(numnat)
-      READ(numnat,natrtd)
+      REWIND( numnat )               ! read natrtd
+      READ  ( numnat, natrtd )
 
       nkeep=0
       ikeep(:)=0
-      DO ji=1,jptra
-         IF (luttrd(ji)) THEN 
-             nkeep=nkeep+1
+      DO ji = 1, jptra
+         IF( luttrd(ji) ) THEN 
+             nkeep    = nkeep + 1
              ikeep(ji)=nkeep
          END IF 
       END DO
-      IF (nkeep.GT.0) THEN  
-        IF (.NOT. ALLOCATED(trtrd)) ALLOCATE(trtrd(jpi,jpj,jpk,nkeep,jpdiatrc)) 
-        trtrd(:,:,:,:,:)=0.0
+      IF( nkeep > 0 ) THEN  
+        IF(.NOT. ALLOCATED( trtrd ) )   ALLOCATE( trtrd(jpi,jpj,jpk,nkeep,jpdiatrc) ) 
+        trtrd(:,:,:,:,:) = 0.e0
       ENDIF 
-      IF(lwp) THEN
-         WRITE(numout,*) 'natrtd'
-         WRITE(numout,*) ' '
-         WRITE(numout,*)                        &
-            ' frequency of outputs for dynamical trends nwritetrd = '   &
-            ,nwritetrd
-         DO ji=1,jptra
-            WRITE(numout,*)                      &
-               ' keep dynamical trends for tracer number :',ji          &
-               ,luttrd(ji), ikeep(ji)
-         END DO
-         WRITE(numout,*) 'total = ',nkeep,' tracers dyn trends saved'
-         WRITE(numout,*) 'size of trtrd = ',jpi*jpj*jpk*nkeep*jpdiatrc
-      ENDIF
-#endif
-
-      !!1.3 namelist natadd : passive tracers diagnostics
-      !!-------------------------------------------------
+
+      IF(lwp) THEN                   ! control print
+         WRITE(numout,*)
+         WRITE(numout,*) ' Namelist : natrtd'
+         WRITE(numout,*) '    frequency of outputs for dynamical trends nwritetrd = ', nwritetrd
+         DO ji = 1, jptra
+            WRITE(numout,*) '    keep dynamical trends for tracer number :', ji, luttrd(ji), ikeep(ji)
+         END DO
+         WRITE(numout,*) '    total = ', nkeep, ' tracers dyn trends saved'
+         WRITE(numout,*) '    size of trtrd = ', jpi*jpj*jpk*nkeep*jpdiatrc
+      ENDIF
+#endif
 
 #if defined key_trc_diaadd
 
-      nwriteadd = 10
-
-      !! default value for 3D output arrays : short and long name, units
-
-      DO ji=1,jpdia3d
-         WRITE (ctrc3d(ji),'("3D_",I1)') ji
-         WRITE (ctrc3l(ji),'("3D DIAGNOSTIC NUMBER ",I2)') ji
-         ctrc3u(ji)=' '
-      END DO
-
-
-      !! default value for 2D output arrays : short and long name, units
-      !! ---------------------------------------------------------------
-      DO ji=1,jpdia2d
-         WRITE (ctrc2d(ji),'("2D_",I1)') ji
-         WRITE (ctrc2l(ji),'("2D DIAGNOSTIC NUMBER ",I2)') ji
-         ctrc2u(ji)=' '
-      END DO
-
-      REWIND(numnat)
-      READ(numnat,natadd)
-
-      IF(lwp) THEN
-         WRITE(numout,*) ' natadd'
-         WRITE(numout,*) ' '
-         WRITE(numout,*)                          &
-            ' frequency of outputs for additional arrays nwriteadd = '   &
-            ,nwriteadd
-         DO ji=1,jpdia3d
-            WRITE(numout,*)                     &
-               'name of 3d output field number :',ji,' : ',ctrc3d(ji)  
-            WRITE(numout,*) ctrc3l(ji)  
-            WRITE(numout,*) ' in unit = ',ctrc3u(ji)
-         END DO
-         WRITE(numout,*) ' '
-         DO ji=1,jpdia2d
-            WRITE(numout,*)                    &
-               'name of 2d output field number :',ji,' : ',ctrc2d(ji)  
-            WRITE(numout,*) ctrc2l(ji)  
-            WRITE(numout,*) ' in unit = ',ctrc2u(ji)
-         END DO
-         WRITE(numout,*) ' '
-      ENDIF
-#endif
-
-      !! 1.1 namelist natnum :
-      !! ---------------------
-      rsc=1.
-      rtrn=1.e-15
-      ncortrc=1
-      ndttrc=4
-      crosster=.FALSE.
-
-      REWIND(numnat)
-      READ(numnat,natnum)
-
-!!Chris  computes the first time step of tracer model
+      ! Namelist natrtd (transport trends)
+      ! ----------------------------------------------
+      nwriteadd = 10                 ! default values 
+      !                                 ! 3D output arrays
+      DO ji = 1, jpdia3d
+         WRITE(ctrc3d(ji),'("3D_",I1)') ji                      ! short name
+         WRITE(ctrc3l(ji),'("3D DIAGNOSTIC NUMBER ",I2)') ji    ! long name
+         ctrc3u(ji) = ' '                                       ! units 
+      END DO
+      !                                 ! 2D output arrays
+      DO ji = 1, jpdia2d
+         WRITE(ctrc2d(ji),'("2D_",I1)') ji                      ! short name
+         WRITE(ctrc2l(ji),'("2D DIAGNOSTIC NUMBER ",I2)') ji    ! long name
+         ctrc2u(ji) = ' '                                       ! units
+      END DO
+
+      REWIND( numnat )               ! read natrtd
+      READ  ( numnat, natadd )
+
+      IF(lwp) THEN                   ! control print
+         WRITE(numout,*)
+         WRITE(numout,*) ' Namelist : natadd'
+         WRITE(numout,*) '    frequency of outputs for additional arrays nwriteadd = ', nwriteadd
+         DO ji = 1, jpdia3d
+            WRITE(numout,*) '    3d output field No :',ji,' names ',ctrc3d(ji), ctrc3l(ji), ' in ', ctrc3u(ji)
+         END DO
+         DO ji = 1, jpdia2d
+            WRITE(numout,*) '    2d output field No :',ji,' names ',ctrc2d(ji), ctrc2l(ji), ' in ', ctrc2u(ji)
+         END DO
+      ENDIF
+#endif
+
+      !! Namelist natnum :
+      !! -----------------
+      rsc      = 1.                 ! default values
+      rtrn     = 1.e-15
+      ncortrc  = 1
+      ndttrc   = 4
+      crosster = .FALSE.
+
+      REWIND( numnat )              ! read natnum
+      READ  ( numnat, natnum )
+
+      !!Chris  computes the first time step of tracer model
       nittrc000 = nit000 + ndttrc - 1
 
-      IF(lwp) THEN
-         WRITE(numout,*) ' '
-         WRITE(numout,*) 'natnum'
-         WRITE(numout,*) ' '
-         WRITE(numout,*) ' tuning coefficient              rsc     = ',    &
-            rsc
-         WRITE(numout,*) ' truncation value                rtrn    = ',    &
-            rtrn
-         WRITE(numout,*) ' number of corrective phase      ncortrc = ',    &
-            ncortrc
-         WRITE(numout,*) ' time step freq. for pass. trac. ndttrc  = ',    &
-            ndttrc
-         WRITE(numout,*) ' 1st time step for pass. trac. nittrc000 = ',    &
-            nittrc000
-         WRITE(numout,*) ' computes or not crossterms    crosster  = ',    &
-            crosster
-      ENDIF
-
-
-      !! namelist of transport
-      !! ---------------------
+      IF(lwp) THEN                  ! control print
+         WRITE(numout,*)
+         WRITE(numout,*) ' Namelist : natnum'
+         WRITE(numout,*)
+         WRITE(numout,*) ' tuning coefficient              rsc     = ', rsc
+         WRITE(numout,*) ' truncation value                rtrn    = ', rtrn
+         WRITE(numout,*) ' number of corrective phase      ncortrc = ', ncortrc
+         WRITE(numout,*) ' time step freq. for pass. trac. ndttrc  = ', ndttrc
+         WRITE(numout,*) ' 1st time step for pass. trac. nittrc000 = ', nittrc000
+         WRITE(numout,*) ' computes or not crossterms    crosster  = ', crosster
+      ENDIF
+
+      ! namelist of transport
+      ! ---------------------
       CALL trc_trp_lec
 
-      !! namelist of SMS
-      !! ---------------      
+      ! namelist of SMS
+      ! ---------------      
       CALL trc_lsm
-
+      !
    END SUBROUTINE trc_lec
 
 #else
+   !!----------------------------------------------------------------------
+   !!  Dummy module :                                     No passive tracer
+   !!----------------------------------------------------------------------
+CONTAINS
+   SUBROUTINE trc_lec                      ! Empty routine   
+   END SUBROUTINE trc_lec
+#endif
+
    !!======================================================================
-   !!  Empty module : No passive tracer
-   !!======================================================================
-CONTAINS
-
-   SUBROUTINE trc_lec
-
-   END SUBROUTINE trc_lec
-
-#endif
-
 END MODULE  trclec
Index: /branches/dev_001_GM/NEMO/TOP_SRC/trclsm.F90
===================================================================
--- /branches/dev_001_GM/NEMO/TOP_SRC/trclsm.F90	(revision 762)
+++ /branches/dev_001_GM/NEMO/TOP_SRC/trclsm.F90	(revision 763)
@@ -1,29 +1,27 @@
 MODULE trclsm
-   !!===============================================================
-   !!
-   !!                       *** MODULE trclsm ****
-   !!
-   !!  READS specific NAMELIST for sms terms
-   !!
-   !!=================================================================
-   !!  TOP 1.0,  LOCEAN-IPSL (2005) 
-   !! $Header$ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
-   !!-----------------------------------------------------------------
+   !!======================================================================
+   !!                         ***  MODULE trclsm  ***
+   !! TOP :   reads specific namelist for passive tracer sms terms
+   !!======================================================================
+   !! History :   1.0  !  2004-03 (C. Ethe) Original code
+   !!----------------------------------------------------------------------
+   !! NEMO/TOP 1.0 , LOCEAN-IPSL (2005) 
+   !! $Header:$ 
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
 #if defined key_passivetrc
-   !!-------------------------------------------------------------
-   !! * Modules used
-   !! ==============
+   !!----------------------------------------------------------------------
+   !!   'key_passivetrc'                                    Passive tracers
+   !!----------------------------------------------------------------------
+   !!   trc_lsm   : eads specific namelist for sms terms
+   !!----------------------------------------------------------------------
    USE oce_trc
    USE trc
    USE sms
 
-
    IMPLICIT NONE                             
    PRIVATE
 
-   !! * Accessibility
-   PUBLIC trc_lsm
-
+   PUBLIC   trc_lsm      ! calles in ???
 
 #if defined key_trc_lobster1
@@ -41,23 +39,19 @@
 #elif defined key_cfc
    !!----------------------------------------------------------------------
-   !!   'key_cfc  '                                          CFC model                  
+   !!   'key_cfc'                                                 CFC model                  
    !!----------------------------------------------------------------------
 #  include "trclsm.cfc.h90"
 
-   !!----------------------------------------------------------------------
-   !!   Default option                               
-   !!----------------------------------------------------------------------
 # endif
 
 #else
-
+   !!----------------------------------------------------------------------
+   !!  Dummy module :                                     No passive tracer
+   !!----------------------------------------------------------------------
 CONTAINS
-
-   SUBROUTINE trc_lsm
-      !!================
-      !! no passive tracers
+   SUBROUTINE trc_lsm                      ! Empty routine
    END  SUBROUTINE  trc_lsm
-
 #endif  
 
+   !!======================================================================
 END MODULE trclsm  
